# Uses of Interface
org.springframework.web.context.request.async.CallableProcessingInterceptor

Packages that use CallableProcessingInterceptor
Package
Description
org.springframework.web.context.request.async
Support for asynchronous request processing.

## Uses of CallableProcessingInterceptor in org.springframework.web.context.request.async

Classes in org.springframework.web.context.request.async that implement CallableProcessingInterceptor
Modifier and Type
Class
Description
`class`
`TimeoutCallableProcessingInterceptor`
Sends a 503 (SERVICE_UNAVAILABLE) in case of a timeout if the response is not already committed.
Methods in org.springframework.web.context.request.async that return CallableProcessingInterceptor
Modifier and Type
Method
Description
`CallableProcessingInterceptor`
WebAsyncManager.`getCallableInterceptor(Object key)`
Get the `CallableProcessingInterceptor` registered under the given key.
Methods in org.springframework.web.context.request.async with parameters of type CallableProcessingInterceptor
Modifier and Type
Method
Description
`void`
WebAsyncManager.`registerCallableInterceptor(Object key, CallableProcessingInterceptor interceptor)`
Register a `CallableProcessingInterceptor` under the given key.
`void`
WebAsyncManager.`registerCallableInterceptors(CallableProcessingInterceptor... interceptors)`
Register a `CallableProcessingInterceptor` without a key.